> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取地图

> 通过其 ID 检索之前完成的地图。



## OpenAPI

````yaml zh/openapi/maps.json GET /v1/maps/{map_id}
openapi: 3.0.3
info:
  title: 地图 API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/maps/{map_id}:
    get:
      summary: 获取地图
      description: 通过其 ID 检索之前完成的地图。
      parameters:
        - name: map_id
          in: path
          required: true
          description: 要检索的地图的唯一标识符。
          schema:
            type: string
      responses:
        '200':
          description: 成功响应包含地图对象。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: 此地图的唯一标识符
                  urls_count:
                    type: integer
                    description: 当前响应中的 URL 数量
                  urls:
                    type: array
                    items:
                      type: string
                    description: 页面上找到的 URL 数组
                  cursor:
                    type: string
                    nullable: true
                    description: 分页游标以检索下一组 URL。如果为 null，则表示已检索到所有 URL。
                  credits_consumed:
                    type: integer
                    nullable: true
                    description: 此请求消耗的积分数量。在执行完成后填充。积分是计费的真实来源。
                  cost_usd:
                    type: number
                    nullable: true
                    description: >-
                      此请求的估计成本（以美元计）。在执行完成后填充。根据消耗的积分和你的计划费率计算——99% 准确，但
                      credits_consumed 是权威值。
        '401':
          description: 无效的 API 密钥
        '404':
          description: 地图未找到
        '500':
          description: 内部服务器错误
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer认证头格式为Bearer <token>，其中<token>是你的认证令牌。

````